package com.bb.service;

import java.util.HashMap;
import java.util.List;

import org.codehaus.jettison.json.JSONObject;

import com.bb.model.Game;

public interface ThenutService {

	JSONObject getAgent(String LOG_PREFIX, HashMap<String, String> apiInfo);
	
	JSONObject getUser(String LOG_PREFIX, HashMap<String, String> apiInfo);
	
	JSONObject createUser(String LOG_PREFIX, HashMap<String, String> apiInfo);
	
	String createUserToken(String LOG_PREFIX, HashMap<String, String> apiInfo);
	
	List<Game> getGameList(String LOG_PREFIX, HashMap<String, String> apiInfo);
	
	String getGameUrl(String LOG_PREFIX, HashMap<String, String> apiInfo);
	
	JSONObject getBetDetail(String LOG_PREFIX, HashMap<String, String> apiInfo);
	
	String getBetDetailUrl(String LOG_PREFIX, HashMap<String, String> apiInfo);
}
